View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001012Ecere SDKdocumentorpublic2013-09-30 08:142016-08-04 21:02
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.15Fixed in Version0.44.15 
Summary0001012: Implement a source .ecDoc format using eCON (Our own twist on JSON!)
DescriptionThis is a top priority to facilitate documentation diffs in git and contribution.

We'll see about how to save the compiled data in the runtime library, will we want a double eAR structure (doc entries within eCdoc within ecere.dll archive) or directly under a doc directory structure in archive.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001024closedredj Global Settings: Split compilers configuration from recent project 

-  Notes
(0001388)
redj (administrator)
2015-11-21 18:21

doc source:
libname.eCdoc/__global.econ
libname.eCdoc/[namespace/[...]]classname.econ
doc embedded in lib:
.eCdoc/__global.econ
.eCdoc/[namespace/[...]]classname.econ

econ files content similar to this:
{ namespaces = [ { name = "ecere", namespaces = [ { name = "gui", classes = [ { name = "Window" ] } ] ] }
methods = [ { name = "Create", parameters = [ ], description = "Create a Window" } ]
(0001398)
jerome (administrator)
2016-08-03 12:58

Implemented by:
https://github.com/ecere/ecere-sdk/commit/342b76432b2528c42589fe212424d9b21499b456 [^]
https://github.com/ecere/ecere-sdk/commit/bb4775241d149dec9775b9c6243a8d961e7366d3 [^]

and subsequent fixes
(0001432)
jerome (administrator)
2016-08-04 21:02

Closed for 0.44.15

https://github.com/ecere/ecere-sdk/commit/37ac4ab4b983a5764f76d7fd77f6658924da8be0 [^]

- Issue History
Date Modified Username Field Change
2013-09-30 08:14 jerome New Issue
2013-10-01 17:03 jerome Summary Implement a source .ecDoc format using JSON => Implement a source .ecDoc format using eCON (Our own twist on JSON!)
2014-05-01 10:53 jerome Relationship added related to 0001024
2014-07-11 08:36 jerome Assigned To => jerome
2014-07-11 08:36 jerome Status new => assigned
2015-11-07 08:16 jerome Assigned To jerome => redj
2015-11-21 18:21 redj Note Added: 0001388
2016-04-19 05:22 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.15
2016-08-03 12:58 jerome Note Added: 0001398
2016-08-03 12:58 jerome Status assigned => resolved
2016-08-03 12:58 jerome Fixed in Version => 0.44.15
2016-08-03 12:58 jerome Resolution open => fixed
2016-08-04 21:02 jerome Note Added: 0001432
2016-08-04 21:02 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker